<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Grid Exercises</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        body,
        html {
            width: 100%;
            height: 100%;
        }

        #container {
            display: grid;
            width: 100vw;
            height: 100vh;
            grid-template-columns: 250px auto;
            grid-template-rows: 250px 50px auto 75px;
            /* grid-template-areas:
                "main-nav header"
                "main-nav top-nav"
                "main-nav main"
                "main-nav footer"; */
        }

        #container>div {
            border: 1px solid darkmagenta;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #header {
            /* grid-area: header; */
        }

        #top-nav {
            /* grid-area: top-nav; */
        }

        #main-nav {
            /* grid-area: main-nav; */
            grid-row: 1 / 5;
        }

        #main {
            /* grid-area: main; */
        }

        #footer {
            /* grid-area: footer; */
        }

        @media screen and (max-width: 600px) {
            #container {
                grid-template-columns: auto;
                grid-template-rows: 100px 75px 100px auto 50px;
                /* grid-template-areas:
                    "header"
                    "footer"
                    "main-nav"
                    "main"
                    "top-nav"; */
            }

            #header {
                grid-row: 1 / 2;
            }

            #footer {
                grid-row: 2 / 3;
            }

            #main-nav {
                grid-row: 3 / 4;
            }

            #main {
                grid-row: 4 / 5;
            }
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="top-nav">Top Navigation</div>
        <div id="main-nav">Main Navigation</div>
        <div id="main">Main</div>
        <div id="footer">Footer</div>
    </div>
</body>

</html>